QT += core gui
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
QT += opengl
win32 {
greaterThan(QT_VERSION, 5.5): LIBS += -lopengl32 -lglu32
}
else {
LIBS += -lGLU
}
TARGET = CineSpace
TEMPLATE = app

SOURCES += \
    main.cpp \
    cinesim.cpp \
    espace/etoile.cpp \
    ../mathutil/sp3.c \
    ../mathutil/elem.c \
    ../grafutils/qtglutils.cpp \
    ../utils/cjulien/julien.c \
    espace/confstarsdialog.cpp \
    espace/terre.cpp \
    espace/timedialog.cpp \
    espace/lune.cpp \
    espace/TerreGLWidget.cpp \
    ../mathutil/rotation.c \
    espace/starswidget.cpp \
    commandwidget.cpp \
    cinespace.cpp \
    espace/confearthdialog.cpp \
    espace/planetes.c \
    espace/planets.cpp \
    espace/orbitgeo.cpp \
    espace/satgeo.cpp \
    espace/TwoLE.cpp \
    espace/glpleiade.c \
    espace/confdialog.cpp \
    ../utils/angles/angles.c \
    espace/reperes.cpp \
    espace/univglwidget.cpp

HEADERS += \
    cinesim.h \
    espace/etoile.h \
    ../mathutil/sp3.h \
    ../mathutil/elem.h \
    ../grafutils/qtglutils.h \
    ../utils/cjulien/julien.h \
    espace/confstarsdialog.h \
    espace/terre.h \
    espace/timedialog.h \
    espace/lune.h \
    espace/TerreGLWidget.h \
    ../mathutil/rotation.h \
    espace/starswidget.h \
    commandwidget.h \
    cinespace.h \
    espace/confearthdialog.h \
    espace/planetes.h \
    espace/planets.h \
    espace/TwoLE.h \
    espace/orbitgeo.h \
    espace/satgeo.h \
    espace/confdialog.h \
    ../utils/angles/angles.h \
    espace/reperes.h \
    espace/univglwidget.h

FORMS += \
    espace/confstarsdialog.ui \
    espace/timedialog.ui \
    espace/confearthdialog.ui \
    espace/confdialog.ui

RESOURCES += \
    astrodata.qrc \
    starsdata.qrc


